//
//  AiBrushBatteryStateModel.h
//  AiBrushBleSDK
//
//  Created by iot_user on 2019/7/10.
//  Copyright © 2019 IOT. All rights reserved.
//

#import <Foundation/Foundation.h>

//charger(充电器)
typedef NS_ENUM(NSUInteger, AiBrushChargeState) {
    AiBrushChargeStateNotUsed  = 0x01, //No charger inserted(未插入充电器)
    AiBrushChargeStateIsUsed   = 0x02, //Plug in the charger(插入充电器)
};
//Battery status(电池状态)
typedef NS_ENUM(NSUInteger, AiBrushBatteryState) {
    AiBrushBatteryStateNotFull  = 0x01, //Battery is not full(电池未充满)
    AiBrushBatteryStateIsFull   = 0x02, //Battery full(电池充满)
};
//Power status(电量状态)
typedef NS_ENUM(NSUInteger, AiBrushPowerState) {
    AiBrushPowerStateLowShutdown  = 0x01, //Low power shutdown(低电关机)
    AiBrushPowerStateNormal       = 0x02, //Normal battery(电量正常)
    AiBrushPowerStateLowPrompt    = 0x03, //Low power prompt(低电提示)
};



NS_ASSUME_NONNULL_BEGIN

@interface AiBrushBatteryStateModel : NSObject
//Charger status(充电器状态)
@property (nonatomic, assign) AiBrushChargeState chargeState;
//Battery status(电池状态)
@property (nonatomic, assign) AiBrushBatteryState batteryState;
//Battery status(电量状态)
@property (nonatomic, assign) AiBrushPowerState powerState;
//Voltage (unit: millivolt)(电压(单位:毫伏))
@property (nonatomic, assign) int voltage;
//Peak current (unit: 10mA)(峰值电流(单位:10mA))
@property (nonatomic, assign) int peakCurrent;
//Battery capacity (in mAH)(电池容量(单位 mAH))
@property (nonatomic, assign) int capacity;
//Percentage of electricity (unit: %)(电量百分比(单位：%))
@property (nonatomic, assign) int percentCharge;


@end

NS_ASSUME_NONNULL_END
